%define majver %(echo %version | cut -d. -f1-2)

Name:          kholidays
Version:       16.04.0
Release:       1mamba
Summary:       KDE Frameworks 5 holidays library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/kholidays-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 holidays library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 holidays library

%description -n lib%{name}
KDE Frameworks 5 holidays library.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Holidays.so.*
%dir %{_libdir}/qt5/qml/org/kde/kholidays/
%{_libdir}/qt5/qml/org/kde/kholidays/*
%dir %{_kde5_datadir}/kf5/libkholidays
%dir %{_kde5_datadir}/kf5/libkholidays/plan2
%{_kde5_datadir}/kf5/libkholidays/plan2/*
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KHolidays
%dir %{_kde5_includedir}/KHolidays/KHolidays
%{_kde5_includedir}/KHolidays/KHolidays/*
%dir %{_kde5_includedir}/KHolidays/kholidays
%{_kde5_includedir}/KHolidays/kholidays/*
%{_kde5_includedir}/kholidays_version.h
%dir %{_kde5_libdir}/cmake/KF5Holidays
%{_kde5_libdir}/cmake/KF5Holidays/KF5Holidays*.cmake
%{_kde5_libdir}/libKF5Holidays.so
%{_kde5_mkspecsdir}/qt_KHolidays.pri

%changelog
* Sun May 01 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Tue Feb 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Sat Feb 06 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-1mamba
- package created using the webbuild interface
